---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly, check cmd/gen-docs/docs.go.
-->

# `glab mr checkout`

Checkout to an open merge request

```plaintext
glab mr checkout [<id> | <branch>] [flags]
```

## Examples

```plaintext
glab mr checkout 1
glab mr checkout branch --track
glab mr checkout 12 --branch todo-fix
glab mr checkout new-feature --set-upstream-to=upstream/main
glab mr checkout   # use checked out branch

```

## Options

```plaintext
  -b, --branch string            checkout merge request with <branch> name
  -u, --set-upstream-to string   set tracking of checked out branch to [REMOTE/]BRANCH
  -t, --track                    set checked out branch to track remote branch, adds remote if needed
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
